import {defineConfig} from 'vite'
import vue from '@vitejs/plugin-vue'
import {resolve} from "path";
import config from "./src/config";

// https://vitejs.dev/config/
export default defineConfig({
    css: {
        preprocessorOptions: {
            scss: {
                additionalData: `@import "./src/styles/app/_var.scss";`
            }
        }
    },
    resolve: {
        alias: {
            '~src': `${resolve(__dirname, './src')}`,
            '~ass': resolve(__dirname, './src/assets'),
            '~com': `${resolve(__dirname, './src/components')}`,
            '~api': resolve(__dirname, './src/api/modules'),
            '~sto': resolve(__dirname, './src/store/modules'),
            '~uti': resolve(__dirname, './src/utils')
        }
    },
    plugins: [
        vue()
    ],
    server: {
        ...config.vite,
        proxy: {
            '/api': {
                ws: true,
                changeOrigin: true,
                target: config.target,
                rewrite: (path) => path.replace(new RegExp('^/api'), '/'),
            }
        }
    },
})
